Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class AlignType1

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.AlignType1

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class AlignType1

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Align Type1', and utility methods for working with them.

See Also:
  `CDAR2Package.getAlignType1()`

Field Summary
`static int` | `CENTER` The 'Center' literal value.
`static AlignType1` | `CENTER_LITERAL` The 'Center' literal object.
`static int` | `CHAR` The 'Char' literal value.
`static AlignType1` | `CHAR_LITERAL` The 'Char' literal object.
`static int` | `JUSTIFY` The 'Justify' literal value.
`static AlignType1` | `JUSTIFY_LITERAL` The 'Justify' literal object.
`static int` | `LEFT` The 'Left' literal value.
`static AlignType1` | `LEFT_LITERAL` The 'Left' literal object.
`static int` | `RIGHT` The 'Right' literal value.
`static AlignType1` | `RIGHT_LITERAL` The 'Right' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Align Type1' enumerators.

Method Summary
`static AlignType1` | `get(int value)` Returns the 'Align Type1' literal with the specified integer value.
`static AlignType1` | `get(java.lang.String literal)` Returns the 'Align Type1' literal with the specified literal value.
`static AlignType1` | `getByName(java.lang.String name)` Returns the 'Align Type1' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LEFT

    public static final int LEFT

  The 'Left' literal value.

  If the meaning of 'Left' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LEFT_LITERAL`, Constant Field Values

### CENTER

    public static final int CENTER

  The 'Center' literal value.

  If the meaning of 'Center' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CENTER_LITERAL`, Constant Field Values

### RIGHT

    public static final int RIGHT

  The 'Right' literal value.

  If the meaning of 'Right' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RIGHT_LITERAL`, Constant Field Values

### JUSTIFY

    public static final int JUSTIFY

  The 'Justify' literal value.

  If the meaning of 'Justify' literal object isn't clear, there really should be more of a description here...

  See Also:
    `JUSTIFY_LITERAL`, Constant Field Values

### CHAR

    public static final int CHAR

  The 'Char' literal value.

  If the meaning of 'Char' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CHAR_LITERAL`, Constant Field Values

### LEFT_LITERAL

    public static final AlignType1 LEFT_LITERAL

  The 'Left' literal object.

  See Also:
    `LEFT`

### CENTER_LITERAL

    public static final AlignType1 CENTER_LITERAL

  The 'Center' literal object.

  See Also:
    `CENTER`

### RIGHT_LITERAL

    public static final AlignType1 RIGHT_LITERAL

  The 'Right' literal object.

  See Also:
    `RIGHT`

### JUSTIFY_LITERAL

    public static final AlignType1 JUSTIFY_LITERAL

  The 'Justify' literal object.

  See Also:
    `JUSTIFY`

### CHAR_LITERAL

    public static final AlignType1 CHAR_LITERAL

  The 'Char' literal object.

  See Also:
    `CHAR`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Align Type1' enumerators.

Method Detail

### get

    public static AlignType1 get(java.lang.String literal)

  Returns the 'Align Type1' literal with the specified literal value.

### getByName

    public static AlignType1 getByName(java.lang.String name)

  Returns the 'Align Type1' literal with the specified name.

### get

    public static AlignType1 get(int value)

  Returns the 'Align Type1' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD